Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-26914

Remediation page - cannot satisfy dependency when installing JBT from update site into Eclipse

    Details

      Description

      When trying to install JBT from update site (http://download.jboss.org/jbosstools/photon/staging/updates/) into Eclipse 2019-09 JEE (https://www.eclipse.org/downloads/packages/release/2019-09/r/eclipse-ide-enterprise-java-developers) I got remediation page with this errors:

      Your original request has been modified.
        "WST JSON Core" is already installed, so an update will be performed instead.
        "Eclipse JSON Editor and Tools" is already installed, so an update will be performed instead.
      Cannot complete the install because of a conflicting dependency.
        Software being installed: Eclipse JSON Editor and Tools 1.1.5.v201908281850 (org.eclipse.wst.json_ui.feature.feature.group 1.1.5.v201908281850)
        Software currently installed: Eclipse Web Developer Tools 3.15.0.v201908192247 (org.eclipse.wst.web_ui.feature.feature.group 3.15.0.v201908192247)
        Only one of the following can be installed at once: 
          Eclipse JSON Editor and Tools 1.1.5.v201904210526 (org.eclipse.wst.json_ui.feature.feature.jar 1.1.5.v201904210526)
          Eclipse JSON Editor and Tools 1.1.5.v201908281850 (org.eclipse.wst.json_ui.feature.feature.jar 1.1.5.v201908281850)
        Cannot satisfy dependency:
          From: Eclipse JSON Editor and Tools 1.1.5.v201904210526 (org.eclipse.wst.json_ui.feature.feature.group 1.1.5.v201904210526)
          To: org.eclipse.equinox.p2.iu; org.eclipse.wst.json_ui.feature.feature.jar [1.1.5.v201904210526,1.1.5.v201904210526]
        Cannot satisfy dependency:
          From: Eclipse JSON Editor and Tools 1.1.5.v201908281850 (org.eclipse.wst.json_ui.feature.feature.group 1.1.5.v201908281850)
          To: org.eclipse.equinox.p2.iu; org.eclipse.wst.json_ui.feature.feature.jar [1.1.5.v201908281850,1.1.5.v201908281850]
        Cannot satisfy dependency:
          From: Eclipse Web Developer Tools 3.15.0.v201908192247 (org.eclipse.wst.web_ui.feature.feature.group 3.15.0.v201908192247)
          To: org.eclipse.equinox.p2.iu; org.eclipse.wst.json_ui.feature.feature.group [1.1.5.v201904210526,1.1.5.v201904210526]
      

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  stephane.bouchet Stephane Bouchet
                  Reporter:
                  odockal Ondrej Dockal
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: